package com.zcloud.common.annotation;

import java.lang.annotation.*;

/**
 * 实体类属性注解（用于课程、课件 的 入库、编辑使用）
 * @author zhangyue
 * @date 2024/4/9 17:16
 */

@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface EntityProperty {
    // 是否升级版本字段
    boolean isUpgradeVersion() default false;


    // 是否入库必须字段
    boolean isWarehouse() default false;

    // 是否审核
    boolean isExamine() default true;
}
